## ros-eloquent-hls-lfcd-lds-driver 2.0.1

=== applications/lds_driver/Makefile ===
DIR_ROOT  = ../

CC 				= gcc
CX 				= g++
CCFLAGS		= -Wall -c
CXFLAGS 	= -Wall -c
CP     		= cp
CP_ALL  	= cp -r
RM        = rm
RM_ALL    = rm -f
SRCS			= lds_driver.cpp
OBJS			= lds_driver.o
LIB_DIRS	= -L/usr/lib/x86_64-linux-gnu
INC_DIRS  = -I/usr/include
LIBS      = -lboost_system
TARGET 	  = lds_driver

all : $(TARGET)
	$(CXX) -o $(TARGET) $(OBJS) $(INC_DIRS) $(LIB_DIRS) $(LIBS) 
 
$(TARGET) :
	$(CXX) -c $(SRCS) $(INC_DIRS) $(LIB_DIRS) $(LIBS) 

clean:
	$(RM_ALL) $(OBJS) $(TARGET)

=== debian/changelog ===
ros-eloquent-hls-lfcd-lds-driver (2.0.1-1bionic) bionic; urgency=high

  * ROS 2 Eloquent Elusor supported
  * ROS 2 Foxy Fitzroy supported
  * Contributors: Will Son

 -- Will Son <willson@robotis.com>  Sun, 12 Jul 2020 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (2.0.0-1bionic) bionic; urgency=high

  * Supported ROS 2 Dashing Diademata
  * Added parameter for initilization and modified qos
  * Reduced scope to boost-system dependency
  * Fixed build warnings in ROS2 Dashing
  * Contributors: Emerson Knapp, Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Mon, 19 Aug 2019 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (1.1.0-1bionic) bionic; urgency=high

  * Added lpthread library in Makefile
  * Added CI for ROS Melodic
  * Modified hlds_laser_segment_publisher
  * Contributors: Gilbert, Pyo

 -- Will Son <willson@robotis.com>  Tue, 22 Jan 2019 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (1.0.0-1bionic) bionic; urgency=high

  * Modified max-range to avoid fencepost error.
  * Merged pull request #27 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/27> from skasperski/master
    Corrected max-range to avoid fencepost error.
  * Merged pull request #29 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/29> #28 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/28> #24 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/24>
  * Contributors: Gilbert, Sebastian Kasperski, Pyo

 -- Will Son <willson@robotis.com>  Mon, 28 May 2018 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (0.1.5-1bionic) bionic; urgency=high

  * Added non-ROS applications for LDS (linux, windows, mac)
  * Added a link for e-Manual
  * Added .travis.yml for Travis CI
  * Modified for firmware upgrade
  * Refactoring for release
  * Contributors: Darby Lim, Pyo

 -- Will Son <willson@robotis.com>  Tue, 13 Mar 2018 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (0.1.4-1bionic) bionic; urgency=high

  * Modified to stop motor of LDS
  * Deleted unused lfcdstartstop arg of LFCDLaser. Fix an exception error.
  * Merged pull request #8 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/issues/8> from hara-y/stop_motor_in_dtor
  * Fixed code format
  * Contributors: Yoonseok Pyo, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Wed, 13 Sep 2017 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (0.1.3-1bionic) bionic; urgency=high

  * Fixed a bug of beam index [0, 0, 1, ..., 358] > [0, 1, 2, ..., 359]
  * Merged pull request #7 <https://github.com/ROBOTIS-GIT/hls_lfcd_lds_driver/pull/7> from hara-y
  * Contributors: Darby Lim, Yoshitaka HARA

 -- Will Son <willson@robotis.com>  Thu, 17 Aug 2017 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (0.1.2-1bionic) bionic; urgency=high

  * Modified the timing to take a timestamp for sync the scan and odom
  * Added a hlds_laser_segment_publisher node
  * Contributors: Pyo

 -- Will Son <willson@robotis.com>  Sun, 23 Apr 2017 15:00:00 -0000

ros-eloquent-hls-lfcd-lds-driver (0.1.1-1bionic) bionic; urgency=high

  * Modified the package name and related codes
  * Added a ROS package for HLDS Laser Distance Sensor
  * Contributors: JH Yang, SP Kong, Pyo

 -- Will Son <willson@robotis.com>  Mon, 05 Dec 2016 15:00:00 -0000

=== debian/control ===
Source: ros-eloquent-hls-lfcd-lds-driver
Section: misc
Priority: optional
Maintainer: Will Son <willson@robotis.com>
Build-Depends: debhelper (>= 9.0.0), libboost-system-dev, ros-eloquent-ament-cmake, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Homepage: http://wiki.ros.org/hls_lfcd_lds_driver
Standards-Version: 3.9.2

Package: ros-eloquent-hls-lfcd-lds-driver
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-system-dev, ros-eloquent-rclcpp, ros-eloquent-sensor-msgs, ros-eloquent-ros-workspace
Description: ROS package for LDS(HLS-LFCD2).
 The LDS (Laser Distance Sensor) is a sensor sending the data to Host for the simultaneous localization and mapping (SLAM). Simultaneously the detecting obstacle data can also be sent to Host. HLDS(Hitachi-LG Data Storage) is developing the technology for the moving platform sensor such as Robot Vacuum Cleaners, Home Robot, Robotics Lawn Mower Sensor, etc.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/eloquent/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/eloquent" \
		-DAMENT_PREFIX_PATH="/opt/ros/eloquent"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-eloquent-hls-lfcd-lds-driver//opt/ros/eloquent/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/eloquent/setup.sh" ]; then . "/opt/ros/eloquent/setup.sh"; fi && \
	dh_auto_install
